Orebfuscator (Anti X-Ray) 5.1.5

High-Performance Anti X-Ray plugin

  1. ingrim4
    Native Minecraft Version:
    1.13
    Tested Minecraft Versions:
    • 1.9
    • 1.10
    • 1.11
    • 1.12
    • 1.13
    • 1.14
    • 1.15
    • 1.16
    • 1.17
    Source Code:
    https://github.com/Imprex-Development/Orebfuscator
    Contributors:
    Ingrim4, NgLoader
    What is Orebfuscator?
    Orebfuscator is a plugin for Spigot based Minecraft Servers that modifies packets in order to hide blocks of interest from X-Ray Clients and Texture Packs. Thus it doesn't modify your world and is safe to use.​

    Features
    • Plug & Play
    • Highly configurable config
    • Support for Spigot based servers 1.9.4+ (only tested on spigot)
    • Obfuscate blocks based on their light level
    • Hide block entities like Chests and Furnaces
    • Make blocks in a players proximity visible based on their distance and their view
    Requirements
    • Java 8 or higher
    • Spigot and (proably) any other fork of Spigot (1.9.4 or higher)
    • ProtocolLib 4.0 or higher
    Setup
    1. Download ProtocolLib
    2. Download Orebfuscator
    3. Put both in your plugins directory
    4. Start your server and configure orebfuscator to your liking
    Permissions
    • orebfuscator.bypass: Bypass the obfuscation

    If you have any problem check if there is already an issue in our github repo if there isn't one just create a new one.
    Vasolix, NilssMiner99 and _XxfedexX_ like this.

Recent Reviews

  1. Hendy228
    Hendy228
    3/5,
    Version: 5.1.5
    The plugin is good, but there are cheats with bypass protection. If you fix it, I'll give it 5 stars.
    1. ingrim4
      Author's Response
  2. Aeon2927
    Aeon2927
    5/5,
    Version: 5.1.5
    It works great. Simple x-ray resource packs are not working with this plugin. Server owner can make some jokes like all stones looks like diamonds for x-rayers
  3. Sentence
    Sentence
    4/5,
    Version: 5.1.5
    Pls Help: When i start the Server, Orebfuscator gives me two errors. FIrst eror: java.lang.IllegalArgumentException: update radius must higher than zero.
    Second error: java.lang.NullPointerException: Cannot invoke "net.imprex.orebfuscator.cache.ChunkCache.close()" because "this.chunkCache" is null
    1. ingrim4
      Author's Response
  4. dimitris_
    dimitris_
    5/5,
    Version: 5.1.4
    Very good anti xray plugin ! I downloaded the 1.17 early release . I have to say that the plugin works perfectly without any bug or any server interruption ! tested on spigot 1.17 . Very good work ! Special thanks to the developer . Now i can eliminate every xray cheater with that plugin!
  5. Moritzoni
    Moritzoni
    5/5,
    Version: 5.1.4
    Does what it says
    Plug and play
    Simple and easy to use
    Great performance
    5/5 stars
  6. ignorantcross
    ignorantcross
    5/5,
    Version: 5.1.4
    Update pls 1.17 pls pls pls
    Thank you ........
    ------------ more texting ---------
  7. Finnolino
    Finnolino
    2/5,
    Version: 5.1.4
    Pls help: It does not work... i cant find any tutorials in the entire Internet. How do i configre this plugin???
    1. ingrim4
  8. linuxman
    linuxman
    5/5,
    Version: 5.1.4
    I remember using this plugin back in the old bukkit days. I'm glad it was revived and updated for Spigot and Paper. The default settings are indeed laggy so you have to optimize it yourself a bit. This is literally the only plugin that PREVENTS X-Ray, not a [email protected] whistle like the others.
  9. devesh421
    devesh421
    3/5,
    Version: 5.1.4
    plz make it available on spigot not external website becz i want add this plugin in mu aternos server
  10. Apollogeist
    Apollogeist
    4/5,
    Version: 5.1.3
    Good configuration options and great performance! Is there a way to reload the plugin without a full server restart? That would be really convenient for fine-tuning.
    1. ingrim4
      Author's Response
      As long as you don't swap the plugin.jar you should be able to just reload the server without any problems. If that's not the case please create a new issue on our github regarding that.